## pgtap 1.1.0

=== debian/changelog ===
pgtap (1.1.0-5) unstable; urgency=medium

  * Rules-Requires-Root: no.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Oct 2020 11:51:15 +0200

pgtap (1.1.0-4) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * DH 13.
  * debian/tests: Use installed-versions instead of supported-versions.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Oct 2020 14:48:06 +0200

pgtap (1.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Fix Makefile for PG13 compatibility.

 -- Christoph Berg <myon@debian.org>  Mon, 25 May 2020 15:25:41 +0200

pgtap (1.1.0-2) unstable; urgency=medium

  * tests: Tell pgxs.mk that we don't want to install any files.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2019 11:56:13 +0100

pgtap (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2019 11:06:07 +0100

pgtap (1.0.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:35:51 +0100

pgtap (1.0.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 12:02:49 +0100
