=== debian/changelog ===
pgtap (1.2.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Oct 2022 14:18:34 +0200

pgtap (1.2.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:25:21 +0200

pgtap (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 12:05:39 +0100

pgtap (1.1.0-7) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Nov 2021 12:31:50 +0100

pgtap (1.1.0-6) unstable; urgency=medium

  * Pull patch from upstream to support PostgreSQL 14.
  * Replace uses of `which` by `command -v.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Nov 2021 11:17:55 +0100
