=== debian/changelog ===
pgtap (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Aug 2023 10:38:25 +0200
