## pgtap 1.3.2

=== debian/changelog ===
pgtap (1.3.2-2) unstable; urgency=medium

  * Mark package as Arch: all again, .so is gone again.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Feb 2024 18:40:04 +0100

pgtap (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 12:24:33 +0100

pgtap (1.3.1-2) unstable; urgency=medium

  * pgtap ships a .so file, mark as arch: any.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Oct 2023 09:46:29 +0200

pgtap (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.
  * Run install-time tests using pg_prove.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 16:13:58 +0200

pgtap (1.3.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Sep 2023 15:39:46 +0200

pgtap (1.3.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * debian/tests: Drop postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:21:07 +0200
