=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     postgresql-all (>= 217~),
     libtap-parser-sourcehandler-pgtap-perl,
     libtext-multimarkdown-perl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: database
 Homepage: https://pgtap.org/
@@ -46,11 +46,11 @@
  .
  This package contains the documentation for pgTAP.
 
-Package: postgresql-15-pgtap
+Package: postgresql-16-pgtap
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ${perl:Depends},
-    postgresql-15
+    ${postgresql:Depends}
 Replaces: pgtap (<< 0.95)
 Breaks: pgtap (<< 0.95)
 Recommends: pgtap-doc,
@@ -58,7 +58,7 @@
     libtest-harness-perl,
     libtap-harness-archive-perl
 Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 15
+Description: Unit testing framework extension for PostgreSQL 16
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -66,4 +66,4 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This package contains the extension for PostgreSQL 15.
+ This package contains the extension for PostgreSQL 16.
