=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, make, postgresql-contrib-16, patch
Tests: installcheck
Restrictions: allow-stderr
