## pgtap 1.3.3

=== debian/changelog ===
pgtap (1.3.3-3.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 11 Sep 2024 23:12:28 +0200

pgtap (1.3.3-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 23:12:28 +0200

pgtap (1.3.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2024 23:18:58 +0200

pgtap (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:19:04 +0200
