=== debian/control ===
Source: pgtap
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Pierre Chifflier <pollux@debian.org>,
 Christoph Berg <myon@debian.org>,
 Markus Wanner <markus@bluegap.ch>,
Build-Depends:
 debhelper-compat (= 13),
 libtap-parser-sourcehandler-pgtap-perl,
 libtext-multimarkdown-perl,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: database
Homepage: https://pgtap.org/
Vcs-Browser: https://salsa.debian.org/postgresql/pgtap
Vcs-Git: https://salsa.debian.org/postgresql/pgtap.git

Package: pgtap
Architecture: all
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-pgtap,
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - metapackage
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This metapackage depends on the PostgreSQL extension and the package
 providing pg_prove.

Package: pgtap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - documentation
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the documentation for pgTAP.

Package: postgresql-10-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 10
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 10.

Package: postgresql-11-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 11
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 11.

Package: postgresql-12-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 12
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 12.

Package: postgresql-13-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 13
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 13.

Package: postgresql-14-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 14
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 14.

Package: postgresql-15-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 15
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 15.

Package: postgresql-16-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 16
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 16.

Package: postgresql-17-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Replaces:
 pgtap (<< 0.95),
Breaks:
 pgtap (<< 0.95),
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 17
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 17.
