=== debian/changelog ===
pgtap (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4.
  * Upload for PostgreSQL 18. (Closes: #1117313)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 13:19:50 +0000
