=== debian/control ===
Source: pgtap
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Pierre Chifflier <pollux@debian.org>,
 Christoph Berg <myon@debian.org>,
 Markus Wanner <markus@bluegap.ch>,
Build-Depends:
 debhelper-compat (= 13),
 libtap-parser-sourcehandler-pgtap-perl,
 libtext-multimarkdown-perl,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Section: database
Homepage: https://pgtap.org/
Vcs-Browser: https://salsa.debian.org/postgresql/pgtap
Vcs-Git: https://salsa.debian.org/postgresql/pgtap.git

Package: pgtap
Architecture: all
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-pgtap,
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - metapackage
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This metapackage depends on the PostgreSQL extension and the package
 providing pg_prove.

Package: pgtap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Unit testing framework for PostgreSQL - documentation
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the documentation for pgTAP.

Package: postgresql-18-pgtap
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Recommends:
 libtap-harness-archive-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 libtest-harness-perl,
 pgtap-doc,
Provides:
 postgresql-pgtap,
Description: Unit testing framework extension for PostgreSQL 18
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 18.
