=== debian/rules ===
#!/usr/bin/make -f
# Written by Pierre Chifflier <pollux@debian.org> and
#            Markus Wanner <markus@bluegap.ch>

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	# build docs here because "pg_buildext loop" invokes "make clean"
	$(MAKE) html
	dh_installdocs
	# remove extra documentation copies
	rm -rf debian/*/usr/share/doc/postgresql-doc-*/
