=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 patch,
 postgresql-common-dev,
 postgresql-contrib-18,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,
