=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pgtap-$1\.tar\.gz/ \
 https://github.com/theory/pgtap/tags .*/v?(\d\S*)\.tar\.gz
